下載首頁 | 資訊中心 | 文章分類 | 最近更新 | 排 行 榜 |
文章搜索: 分類 關鍵字
您的位置:首頁軟件教程AutoCADAutoCAD資料教程 → AUTOCAD中自動生成45°視圖
AUTOCAD中自動生成45°視圖
日期:2007-12-3 20:30:17 人氣:203     [ ]
上一頁 [1] [2] 下一頁
 畫管路圖時,常畫俯視圖和相應的45°角視圖。其實45°角視圖中包含的信息只比俯視圖中多了每根管路的水平高度。下面這個用LISP編寫的程序可以自動將俯視圖轉化為同一水平高度的45°角視圖,使用者只需在轉化后的圖上將每組管路在豎直方向上移動相應的高度,一幅45°角視圖就輕松完成了。

  由于每根管路用一直線表示,所以只需改變直線的起點和終點坐標為相應的45°角視圖中的坐標。程序中變量p0記錄45°角視圖的坐標原點,由用戶輸入。p1記錄直線的起點坐標,p2記錄直線的終點坐標。

(defun c:V45( / cmdmode sset ssl ent p0,p1,p2,x1,x2,y0,y1,y2,z1,z2)

(setq cmdmode (getvar "cmdecho"))

(setvar "cmdecho" 0)

;select lines by user

(prompt "\nselect lines:")

(setq sset (ssget))

(if (not(null sset))

  (progn

   (setq ssl (sslength sset))

   ;input base point by user

   (setq p0 (getpoint "\nThe base point: "))

   (setq y0 (cadr p0))

   (while (> ssl 0)

  (setq ent(entget (ssname sset (setq ssl (1- ssl)))))

  ;filter the lines

  (if (= (cdr (assoc 0 ent)) "LINE")

   ;change the start point and end point of the line

   (progn

     (setq x1 (cadr(assoc 10 ent)))

      (setq y1 (caddr(assoc 10 ent)))

      (setq z1 (cadddr(assoc 10 ent)))

      (setq x2 (cadr(assoc 11 ent)))

      (setq y2 (caddr(assoc 11 ent)))

     (setq z2 (cadddr(assoc 11 ent)))

     (setq p1 (list (+ x1 (/ (* (sqrt 2) (- y1 y0)) 4)) (+ y0 (/ (* (sqrt 2) (- y1 y0))4)) z1))
上一頁 [1] [2] 下一頁
我有問題,我要進入論壇
出處:本站原創 作者:佚名
 熱點文章
·如何定制自己的個性化..
·proe超級技巧
·怎樣學好PRO/E軟件?
·PRO/E COFNIG文件設置..
·PROE將默認英制轉換成..
·PRO/E分模經驗總結
·Pro/E 各種曲線方程集..
·Pro/E 各種曲線方程集..
·Pro/E 各種曲線方程集..
·Pro/E 各種曲線方程集..
·Pro/E 各種曲線方程集..
·舊版ProE如何讀取野火..
·Pro/E如何做兩條c2(曲..
·Pro/E 2001下一個陣列..
·一款鈑金產品的結構設..
 推薦文章
·翻砂鑄造的特點及其工..
·整編SolidWorks應用技..
·模具選材原則
·如何解決中文Pro/E工程..
·Pro/ENGINEER 中的文本..
·Pro/ENGINEER Wildfir..
·模型從proe->ansys..
·用行為建模優化設計的..
·簡單的Top-Down設計實..
·適合初學者的基礎練習..
·ProE不傳之秘笈(高級技..
·PRO/E 關于零件精度的..
·Pro/E的scan-tools工具..
·關系式的世界
·關系式教程
丝瓜视频app色-丝瓜视频app在线-丝瓜视频在线播放